//biblioteka obsugi wywietlacza opartego na sterowniku PCD8544
//autor: Mariusz Dziebowski
//data: 04.12.2009
//rozdzielczosc: 84x5wierszy

//!! do sprawdzenia i poprwaienia :D, ale w zasadzie to dziala

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __LIB_PCD8544_H
#define __LIB_PCD8544_H

/* Includes ------------------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

//definicje portw
#define PCD8544_PORT GPIOA			//
#define RCC_APB2Periph_PCD8544 RCC_APB2Periph_GPIOA

#define PCD8544_CLK_PIN GPIO_Pin_12	//
#define PCD8544_DIN_PIN GPIO_Pin_11	//
#define PCD8544_DC_PIN GPIO_Pin_10	//
#define PCD8544_RES_PIN GPIO_Pin_8	//
#define PCD8544_SCE_PIN GPIO_Pin_9	//

//ustawienia dla Function Set
#define FunctionSet_PD	((uint8_t)0x04) //0 -> uklad aktywny, 1 -> tryb obnizonego poboru mocy
#define FunctionSet_V	((uint8_t)0x02) //0 -> adresowanie poziome, 1 -> adresowanie pionowe
#define FunctionSet_H	((uint8_t)0x01) //0 -> podstawowy zestaw instrukcji, 1 -> rozszerzony zestaw instrukcji

//ustawienia dla Display Control
#define DisplayControl_Off		((uint8_t)0x03) //wyswietlacz wygaszony 
#define DisplayControl_Normal	((uint8_t)0x02) //tryb normalny
#define DisplayControl_Black	((uint8_t)0x01) //wszystkie segmenty zapalone
#define DisplayControl_Invers	((uint8_t)0x00) //inwersja wszystkich pol wyswietlacza

//


/* Private variables ---------------------------------------------------------*/
extern unsigned char PCD8544_LCD[84][6];
extern unsigned char PCD8544_SIGNS[96][6];

/* Private function prototypes -----------------------------------------------*/
void PCD8544_delay(uint32_t nCount);
void PCD8544_INIT(void); //inicjalizacja spi do komunikacji z wyswietlaczem oraz wszystkich pinow
void PCD8544_Write(unsigned char DATA);
void PCD8544_WriteData(unsigned char DATA);
void PCD8544_WriteCmd(unsigned char CMD);
void PCD8544_LCDWrite(void);
void PCD8544_LCDClear(void);
void PCD8544_LCDBlack(void);
void PCD8544_LCDInvert(unsigned char X1, unsigned char Y1, unsigned char X2, unsigned char Y2);
void PCD8544_LCDWriteSign(unsigned char SIGN, unsigned char X, unsigned char Y);
void PCD8544_LCDWriteSignDouble(unsigned char SIGN, unsigned char X, unsigned char Y);
void PCD8544_LCDWriteSignTriple(unsigned char SIGN, unsigned char X, unsigned char Y);
void PCD8544_LCDWriteText(unsigned char *TEXT, unsigned char X, unsigned char Y);
void PCD8544_LCDxPos(unsigned char DATA);
void PCD8544_LCDyPos(unsigned char DATA);
/* Private functions ---------------------------------------------------------*/

#endif /* __LIB_PCD8544_H */
