//biblioteka obsugi ukadu TC77 - termometru cyfrowego dziaajcego na SPI
//autor: Mariusz Dziebowski
//data: 10.02.2011


#ifndef LIB_TC77_H_
#define LIB_TC77_H_

/* Includes ------------------------------------------------------------------*/
/* Private define ------------------------------------------------------------*/

//definicje portw
#define TC77_PORT				GPIOA						//port do ktrego podczy jest ukd TC77
#define RCC_APB2Periph			RCC_APB2Periph_GPIOA		//RCC portu do ktrego podczony jest TC77
#define TC77_RCC_APBPeriphCmd_SPI	RCC_APB2PeriphClockCmd	//nazwa komendy wczajcej zegar SPI
#define TC77_RCC_APBPeriph_SPI		RCC_APB2Periph_SPI1		//nazwa RCC SPI do wczenia SPI
#define TC77_RCC_APBPeriphCmd_Port	RCC_APB2PeriphClockCmd	//nazwa komendy wczajcej zegar wykorzystywanego portu
#define TC77_RCC_APBPeriph_Port		RCC_APB2Periph_GPIOA	//nazwa RCC wykorzystywanego portu

#define TC77_SCK					GPIO_Pin_5				//pin linii SCK
#define TC77_SIO					GPIO_Pin_7				//pin lini SIO
#define TC77_CS						GPIO_Pin_2				//pin lini CS

#define TC77_SPI				SPI1						//nazwa spi

//sterowanie lini ChipSelect
#define Select_TC77 GPIO_ResetBits(TC77_PORT, TC77_CS);
#define Deselect_TC77 GPIO_SetBits(TC77_PORT, TC77_CS);

/* Private variables ---------------------------------------------------------*/
/* Private function prototypes -----------------------------------------------*/
void TC77_Init(void);		//inicjalizacja obsugi SPI
uint16_t TC77_GetTemp(void);	//pobranie wartoci temperatury
uint16_t TC77_GetID(void);		//pobranie ID ukdu
/* Private functions ---------------------------------------------------------*/


#endif /* LIB_TC77_H_ */
